Request headers for troubleshooting in Yandex Cloud AI Studio

If you get an error sending requests to the API and need help, contact support.

The support team will solve your issue faster if you use advanced HTTP request and response headers.

Request headers

When sending HTTP requests, use the following headers:

  • x-client-request-id is a unique request ID. We recommend using a UUID. Send this ID to the technical support team to help us find a specific request in the system and assist you.

    You can generate a UUID either online or through the library for the programming language you use.

  • x-data-logging-enabled: Flag that allows saving the data provided by the user in the request.

    By default, all requests to AI Studio are logged. Logging will help resolve your issue if you also specify the request ID when contacting support. You can disable logging if you need to include sensitive information in your request.

Examples

You can use the headers below to locate your asynchronous query to a model:

export FOLDER_ID=<folder_ID>
        export IAM_TOKEN=<IAM_token>
        curl \
          --request POST \
          --header "Content-Type: application/json" \
          --header "Authorization: Bearer ${IAM_TOKEN}" \
          --header "x-folder-id: ${FOLDER_ID}" \
          --data "@<path_to_JSON_file>" \
          "https://ai.api.cloud.yandex.net/foundationModels/v1/completionAsync"
        

Where:

  • FOLDER_ID: ID of the folder for which your account has the ai.languageModels.user role or higher.
  • IAM_TOKEN: IAM token you got before you started.

Response headers

Each server response contains headers that provide even more information about the request execution:

  • x-request-id: Unique response ID
  • x-server-trace-id: Unique request execution log ID

To get the x-request-id and x-server-trace-id values, your application must log server response headers.

You can find an example of implementing access to gRPC headers in the grpc-go documentation.